/* Generated automatically by the program `genconditions' from the target
   machine description file.  */

#include "bconfig.h"
#define INCLUDE_STRING
#include "system.h"

/* It is necessary, but not entirely safe, to include the headers below
   in a generator program.  As a defensive measure, don't do so when the
   table isn't going to have anything in it.  */
#if GCC_VERSION >= 3001

/* Do not allow checking to confuse the issue.  */
#undef CHECKING_P
#define CHECKING_P 0
#undef ENABLE_TREE_CHECKING
#undef ENABLE_RTL_CHECKING
#undef ENABLE_RTL_FLAG_CHECKING
#undef ENABLE_GC_CHECKING
#undef ENABLE_GC_ALWAYS_COLLECT

#include "coretypes.h"
#include "tm.h"
#include "insn-constants.h"
#include "rtl.h"
#include "tm_p.h"
#include "hard-reg-set.h"
#include "function.h"
#include "emit-rtl.h"

/* Fake - insn-config.h doesn't exist yet.  */
#define MAX_RECOG_OPERANDS 10
#define MAX_DUP_OPERANDS 10
#define MAX_INSNS_PER_SPLIT 5

#include "regs.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "hard-reg-set.h"
#include "predict.h"
#include "basic-block.h"
#include "bitmap.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "tm-constrs.h"

#define HAVE_eh_return 1
#include "except.h"

/* Dummy external declarations.  */
extern rtx_insn *insn;
extern rtx ins1;
extern rtx operands[];

#endif /* gcc >= 3.0.1 */

/* Structure definition duplicated from gensupport.h rather than
   drag in that file and its dependencies.  */
struct c_test
{
  const char *expr;
  int value;
};

/* This table lists each condition found in the machine description.
   Each condition is mapped to its truth value (0 or 1), or -1 if that
   cannot be calculated at compile time.
   If we don't have __builtin_constant_p, or it's not acceptable in array
   initializers, fall back to assuming that all conditions potentially
   vary at run time.  It works in 3.0.1 and later; 3.0 only when not
   optimizing.  */

#if GCC_VERSION >= 3001
static const struct c_test insn_conditions[] = {

#line 4486 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FLOAT\n\
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,\n\
		GET_MODE_BITSIZE (DImode))",
    __builtin_constant_p 
#line 4486 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (DImode)))
    ? (int) 
#line 4486 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (DImode)))
    : -1 },
#line 328 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_adjust_ok_for_ldpstp (operands, false, SImode)",
    __builtin_constant_p 
#line 328 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, SImode))
    ? (int) 
#line 328 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, SImode))
    : -1 },
#line 1817 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_zero_extend_const_eq (DImode, operands[3],\n\
                                 SImode, operands[2])",
    __builtin_constant_p 
#line 1817 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_zero_extend_const_eq (DImode, operands[3],
                                 SImode, operands[2]))
    ? (int) 
#line 1817 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_zero_extend_const_eq (DImode, operands[3],
                                 SImode, operands[2]))
    : -1 },
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V2SImode)\n\
       || register_operand (operands[1], V2SImode))",
    __builtin_constant_p 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V2SImode)
       || register_operand (operands[1], V2SImode)))
    ? (int) 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V2SImode)
       || register_operand (operands[1], V2SImode)))
    : -1 },
#line 4548 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "!HONOR_SIGNED_ZEROS (DFmode) && TARGET_FLOAT",
    __builtin_constant_p 
#line 4548 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!HONOR_SIGNED_ZEROS (DFmode) && TARGET_FLOAT)
    ? (int) 
#line 4548 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!HONOR_SIGNED_ZEROS (DFmode) && TARGET_FLOAT)
    : -1 },
#line 1791 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,\n\
		GET_MODE_BITSIZE (GET_MODE_INNER (V2DFmode)))",
    __builtin_constant_p 
#line 1791 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V2DFmode))))
    ? (int) 
#line 1791 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V2DFmode))))
    : -1 },
#line 4179 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[3]) < GET_MODE_BITSIZE (SImode)\n\
   && (UINTVAL (operands[3]) + UINTVAL (operands[4])\n\
       == GET_MODE_BITSIZE (SImode))",
    __builtin_constant_p 
#line 4179 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (SImode)
   && (UINTVAL (operands[3]) + UINTVAL (operands[4])
       == GET_MODE_BITSIZE (SImode)))
    ? (int) 
#line 4179 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (SImode)
   && (UINTVAL (operands[3]) + UINTVAL (operands[4])
       == GET_MODE_BITSIZE (SImode)))
    : -1 },
#line 3607 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "reload_completed && FP_REGNUM_P (REGNO (operands[0]))",
    __builtin_constant_p 
#line 3607 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(reload_completed && FP_REGNUM_P (REGNO (operands[0])))
    ? (int) 
#line 3607 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(reload_completed && FP_REGNUM_P (REGNO (operands[0])))
    : -1 },
#line 200 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_adjust_ok_for_ldpstp (operands, true, DImode)",
    __builtin_constant_p 
#line 200 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, DImode))
    ? (int) 
#line 200 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, DImode))
    : -1 },
  { "(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DFmode)) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 1483 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DFmode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 1483 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DFmode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
  { "(INTVAL (operands[5]) == GET_MODE_SIZE (DFmode)) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 1449 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (DFmode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 1449 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (DFmode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
  { "(INTVAL (operands[5]) == GET_MODE_SIZE (SFmode)) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 1449 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (SFmode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 1449 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (SFmode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
#line 2468 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_is_extend_from_extract (SImode, operands[2], operands[3])",
    __builtin_constant_p 
#line 2468 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_is_extend_from_extract (SImode, operands[2], operands[3]))
    ? (int) 
#line 2468 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_is_extend_from_extract (SImode, operands[2], operands[3]))
    : -1 },
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V4HImode)",
    __builtin_constant_p 
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V4HImode))
    ? (int) 
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V4HImode))
    : -1 },
#line 46 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, false, SImode)",
    __builtin_constant_p 
#line 46 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false, SImode))
    ? (int) 
#line 46 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false, SImode))
    : -1 },
  { "(TARGET_SIMD) && (TARGET_SIMD_F16INST)",
    __builtin_constant_p (
#line 4374 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))
    ? (int) (
#line 4374 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))
    : -1 },
  { "(TARGET_FLOAT && aarch64_nopcrelative_literal_loads) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 4922 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && aarch64_nopcrelative_literal_loads) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 4922 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && aarch64_nopcrelative_literal_loads) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
#line 973 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "(register_operand (operands[0], QImode)\n\
    || aarch64_reg_or_zero (operands[1], QImode))",
    __builtin_constant_p 
#line 973 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], QImode)
    || aarch64_reg_or_zero (operands[1], QImode)))
    ? (int) 
#line 973 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], QImode)
    || aarch64_reg_or_zero (operands[1], QImode)))
    : -1 },
#line 4373 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[2]) < 64",
    __builtin_constant_p 
#line 4373 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < 64)
    ? (int) 
#line 4373 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < 64)
    : -1 },
#line 92 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
  { "ptr_mode == DImode",
    __builtin_constant_p 
#line 92 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode)
    ? (int) 
#line 92 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode)
    : -1 },
#line 3367 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD_RDMA",
    __builtin_constant_p 
#line 3367 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)
    ? (int) 
#line 3367 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)
    : -1 },
  { "(TARGET_FLOAT && aarch64_nopcrelative_literal_loads) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 4922 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && aarch64_nopcrelative_literal_loads) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 4922 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && aarch64_nopcrelative_literal_loads) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
#line 1213 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FLOAT && (register_operand (operands[0], DFmode)\n\
    || aarch64_reg_or_fp_zero (operands[1], DFmode))",
    __builtin_constant_p 
#line 1213 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (register_operand (operands[0], DFmode)
    || aarch64_reg_or_fp_zero (operands[1], DFmode)))
    ? (int) 
#line 1213 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (register_operand (operands[0], DFmode)
    || aarch64_reg_or_fp_zero (operands[1], DFmode)))
    : -1 },
#line 4993 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FLOAT && (reload_completed || reload_in_progress)",
    __builtin_constant_p 
#line 4993 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress))
    ? (int) 
#line 4993 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress))
    : -1 },
#line 4165 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[3]) < GET_MODE_BITSIZE (DImode) &&\n\
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == GET_MODE_BITSIZE (DImode))",
    __builtin_constant_p 
#line 4165 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (DImode) &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == GET_MODE_BITSIZE (DImode)))
    ? (int) 
#line 4165 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (DImode) &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == GET_MODE_BITSIZE (DImode)))
    : -1 },
#line 4270 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)",
    __builtin_constant_p 
#line 4270 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode))
    ? (int) 
#line 4270 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode))
    : -1 },
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V4SFmode)\n\
       || register_operand (operands[1], V4SFmode))",
    __builtin_constant_p 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V4SFmode)
       || register_operand (operands[1], V4SFmode)))
    ? (int) 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V4SFmode)
       || register_operand (operands[1], V4SFmode)))
    : -1 },
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V2SFmode)\n\
       || register_operand (operands[1], V2SFmode))",
    __builtin_constant_p 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V2SFmode)
       || register_operand (operands[1], V2SFmode)))
    ? (int) 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V2SFmode)
       || register_operand (operands[1], V2SFmode)))
    : -1 },
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, true, V4HImode)",
    __builtin_constant_p 
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, V4HImode))
    ? (int) 
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, V4HImode))
    : -1 },
#line 328 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_adjust_ok_for_ldpstp (operands, false, DImode)",
    __builtin_constant_p 
#line 328 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, DImode))
    ? (int) 
#line 328 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, DImode))
    : -1 },
#line 1411 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "rtx_equal_p (XEXP (operands[2], 0),\n\
		plus_constant (Pmode,\n\
			       XEXP (operands[0], 0),\n\
			       GET_MODE_SIZE (DFmode)))",
    __builtin_constant_p 
#line 1411 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[2], 0),
		plus_constant (Pmode,
			       XEXP (operands[0], 0),
			       GET_MODE_SIZE (DFmode))))
    ? (int) 
#line 1411 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[2], 0),
		plus_constant (Pmode,
			       XEXP (operands[0], 0),
			       GET_MODE_SIZE (DFmode))))
    : -1 },
#line 1119 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "(register_operand (operands[0], TImode)\n\
    || aarch64_reg_or_zero (operands[1], TImode))",
    __builtin_constant_p 
#line 1119 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], TImode)
    || aarch64_reg_or_zero (operands[1], TImode)))
    ? (int) 
#line 1119 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], TImode)
    || aarch64_reg_or_zero (operands[1], TImode)))
    : -1 },
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V2DFmode)\n\
       || register_operand (operands[1], V2DFmode))",
    __builtin_constant_p 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V2DFmode)
       || register_operand (operands[1], V2DFmode)))
    ? (int) 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V2DFmode)
       || register_operand (operands[1], V2DFmode)))
    : -1 },
#line 1098 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[1]) < GET_MODE_BITSIZE (SImode)\n\
   && UINTVAL (operands[1]) % 16 == 0",
    __builtin_constant_p 
#line 1098 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) < GET_MODE_BITSIZE (SImode)
   && UINTVAL (operands[1]) % 16 == 0)
    ? (int) 
#line 1098 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) < GET_MODE_BITSIZE (SImode)
   && UINTVAL (operands[1]) % 16 == 0)
    : -1 },
#line 1308 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "rtx_equal_p (XEXP (operands[3], 0),\n\
		plus_constant (Pmode,\n\
			       XEXP (operands[1], 0),\n\
			       GET_MODE_SIZE (DImode)))",
    __builtin_constant_p 
#line 1308 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[3], 0),
		plus_constant (Pmode,
			       XEXP (operands[1], 0),
			       GET_MODE_SIZE (DImode))))
    ? (int) 
#line 1308 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[3], 0),
		plus_constant (Pmode,
			       XEXP (operands[1], 0),
			       GET_MODE_SIZE (DImode))))
    : -1 },
#line 4726 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && !BYTES_BIG_ENDIAN\n\
   && (register_operand (operands[0], OImode)\n\
       || register_operand (operands[1], OImode))",
    __builtin_constant_p 
#line 4726 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], OImode)
       || register_operand (operands[1], OImode)))
    ? (int) 
#line 4726 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], OImode)
       || register_operand (operands[1], OImode)))
    : -1 },
#line 92 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
  { "ptr_mode == SImode",
    __builtin_constant_p 
#line 92 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode)
    ? (int) 
#line 92 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode)
    : -1 },
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V2SFmode)",
    __builtin_constant_p 
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V2SFmode))
    ? (int) 
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V2SFmode))
    : -1 },
#line 4349 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[1]) <= 32",
    __builtin_constant_p 
#line 4349 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 32)
    ? (int) 
#line 4349 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 32)
    : -1 },
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && rtx_equal_p (XEXP (operands[2], 0),\n\
		   plus_constant (Pmode,\n\
				  XEXP (operands[0], 0),\n\
				  GET_MODE_SIZE (V2SFmode)))",
    __builtin_constant_p 
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[2], 0),
		   plus_constant (Pmode,
				  XEXP (operands[0], 0),
				  GET_MODE_SIZE (V2SFmode))))
    ? (int) 
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[2], 0),
		   plus_constant (Pmode,
				  XEXP (operands[0], 0),
				  GET_MODE_SIZE (V2SFmode))))
    : -1 },
#line 1536 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "rtx_equal_p (XEXP (operands[3], 0),\n\
		plus_constant (Pmode,\n\
			       XEXP (operands[1], 0),\n\
			       GET_MODE_SIZE (SImode)))",
    __builtin_constant_p 
#line 1536 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[3], 0),
		plus_constant (Pmode,
			       XEXP (operands[1], 0),
			       GET_MODE_SIZE (SImode))))
    ? (int) 
#line 1536 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[3], 0),
		plus_constant (Pmode,
			       XEXP (operands[1], 0),
			       GET_MODE_SIZE (SImode))))
    : -1 },
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V4SImode)\n\
       || register_operand (operands[1], V4SImode))",
    __builtin_constant_p 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V4SImode)
       || register_operand (operands[1], V4SImode)))
    ? (int) 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V4SImode)
       || register_operand (operands[1], V4SImode)))
    : -1 },
#line 973 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "(register_operand (operands[0], HImode)\n\
    || aarch64_reg_or_zero (operands[1], HImode))",
    __builtin_constant_p 
#line 973 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], HImode)
    || aarch64_reg_or_zero (operands[1], HImode)))
    ? (int) 
#line 973 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], HImode)
    || aarch64_reg_or_zero (operands[1], HImode)))
    : -1 },
  { "(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SFmode)) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 1483 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SFmode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 1483 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SFmode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
#line 4349 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[1]) <= 16",
    __builtin_constant_p 
#line 4349 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 16)
    ? (int) 
#line 4349 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 16)
    : -1 },
#line 4486 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FLOAT\n\
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,\n\
		GET_MODE_BITSIZE (SImode))",
    __builtin_constant_p 
#line 4486 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (SImode)))
    ? (int) 
#line 4486 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (SImode)))
    : -1 },
#line 1785 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_zero_extend_const_eq (DImode, operands[2],\n\
				 SImode, operands[1])",
    __builtin_constant_p 
#line 1785 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_zero_extend_const_eq (DImode, operands[2],
				 SImode, operands[1]))
    ? (int) 
#line 1785 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_zero_extend_const_eq (DImode, operands[2],
				 SImode, operands[1]))
    : -1 },
#line 4390 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_mask_and_shift_for_ubfiz_p (SImode, operands[3], operands[2])",
    __builtin_constant_p 
#line 4390 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_mask_and_shift_for_ubfiz_p (SImode, operands[3], operands[2]))
    ? (int) 
#line 4390 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_mask_and_shift_for_ubfiz_p (SImode, operands[3], operands[2]))
    : -1 },
#line 5070 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_ILP32",
    __builtin_constant_p 
#line 5070 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_ILP32)
    ? (int) 
#line 5070 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_ILP32)
    : -1 },
  { "(TARGET_FLOAT) && (AARCH64_ISA_F16)",
    __builtin_constant_p (
#line 4797 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 45 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(AARCH64_ISA_F16))
    ? (int) (
#line 4797 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 45 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(AARCH64_ISA_F16))
    : -1 },
#line 4337 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "!(UINTVAL (operands[1]) == 0\n\
     || (UINTVAL (operands[2]) + UINTVAL (operands[1])\n\
	 > GET_MODE_BITSIZE (SImode)))",
    __builtin_constant_p 
#line 4337 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!(UINTVAL (operands[1]) == 0
     || (UINTVAL (operands[2]) + UINTVAL (operands[1])
	 > GET_MODE_BITSIZE (SImode))))
    ? (int) 
#line 4337 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!(UINTVAL (operands[1]) == 0
     || (UINTVAL (operands[2]) + UINTVAL (operands[1])
	 > GET_MODE_BITSIZE (SImode))))
    : -1 },
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
  { "ptr_mode == SImode || Pmode == SImode",
    __builtin_constant_p 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)
    ? (int) 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)
    : -1 },
#line 1361 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "rtx_equal_p (XEXP (operands[3], 0),\n\
		plus_constant (Pmode,\n\
			       XEXP (operands[1], 0),\n\
			       GET_MODE_SIZE (SFmode)))",
    __builtin_constant_p 
#line 1361 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[3], 0),
		plus_constant (Pmode,
			       XEXP (operands[1], 0),
			       GET_MODE_SIZE (SFmode))))
    ? (int) 
#line 1361 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[3], 0),
		plus_constant (Pmode,
			       XEXP (operands[1], 0),
			       GET_MODE_SIZE (SFmode))))
    : -1 },
#line 3846 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "INTVAL (operands[1]) > 0\n\
   && ((INTVAL (operands[1]) + INTVAL (operands[2]))\n\
	<= GET_MODE_BITSIZE (SImode))\n\
   && aarch64_bitmask_imm (\n\
	UINTVAL (aarch64_mask_from_zextract_ops (operands[1],\n\
						 operands[2])),\n\
	SImode)",
    __builtin_constant_p 
#line 3846 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[1]) > 0
   && ((INTVAL (operands[1]) + INTVAL (operands[2]))
	<= GET_MODE_BITSIZE (SImode))
   && aarch64_bitmask_imm (
	UINTVAL (aarch64_mask_from_zextract_ops (operands[1],
						 operands[2])),
	SImode))
    ? (int) 
#line 3846 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[1]) > 0
   && ((INTVAL (operands[1]) + INTVAL (operands[2]))
	<= GET_MODE_BITSIZE (SImode))
   && aarch64_bitmask_imm (
	UINTVAL (aarch64_mask_from_zextract_ops (operands[1],
						 operands[2])),
	SImode))
    : -1 },
#line 1259 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "reload_completed && aarch64_split_128bit_move_p (operands[0], operands[1])",
    __builtin_constant_p 
#line 1259 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(reload_completed && aarch64_split_128bit_move_p (operands[0], operands[1]))
    ? (int) 
#line 1259 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(reload_completed && aarch64_split_128bit_move_p (operands[0], operands[1]))
    : -1 },
#line 2453 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_is_extend_from_extract (DImode, operands[2], operands[3])",
    __builtin_constant_p 
#line 2453 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_is_extend_from_extract (DImode, operands[2], operands[3]))
    ? (int) 
#line 2453 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_is_extend_from_extract (DImode, operands[2], operands[3]))
    : -1 },
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
  { "ptr_mode == DImode || Pmode == DImode",
    __builtin_constant_p 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)
    ? (int) 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)
    : -1 },
#line 1670 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_move_imm (INTVAL (operands[2]), DImode)",
    __builtin_constant_p 
#line 1670 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_move_imm (INTVAL (operands[2]), DImode))
    ? (int) 
#line 1670 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_move_imm (INTVAL (operands[2]), DImode))
    : -1 },
#line 835 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "GET_CODE (operands[1]) == SYMBOL_REF\n\
   && !aarch64_is_long_call_p (operands[1])\n\
   && !aarch64_is_noplt_call_p (operands[1])",
    __builtin_constant_p 
#line 835 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(GET_CODE (operands[1]) == SYMBOL_REF
   && !aarch64_is_long_call_p (operands[1])
   && !aarch64_is_noplt_call_p (operands[1]))
    ? (int) 
#line 835 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(GET_CODE (operands[1]) == SYMBOL_REF
   && !aarch64_is_long_call_p (operands[1])
   && !aarch64_is_noplt_call_p (operands[1]))
    : -1 },
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V4HImode)\n\
       || register_operand (operands[1], V4HImode))",
    __builtin_constant_p 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V4HImode)
       || register_operand (operands[1], V4HImode)))
    ? (int) 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V4HImode)
       || register_operand (operands[1], V4HImode)))
    : -1 },
#line 4760 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && BYTES_BIG_ENDIAN\n\
   && (register_operand (operands[0], OImode)\n\
       || register_operand (operands[1], OImode))",
    __builtin_constant_p 
#line 4760 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], OImode)
       || register_operand (operands[1], OImode)))
    ? (int) 
#line 4760 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], OImode)
       || register_operand (operands[1], OImode)))
    : -1 },
#line 4270 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)",
    __builtin_constant_p 
#line 4270 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode))
    ? (int) 
#line 4270 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode))
    : -1 },
  { "(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DFmode)) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 1483 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DFmode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 1483 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DFmode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
  { "((!aarch64_move_imm (INTVAL (operands[1]), SImode)\n\
   && !aarch64_plus_operand (operands[1], SImode)\n\
   && !reload_completed) && (ptr_mode == DImode || Pmode == DImode)) && ( true)",
    __builtin_constant_p ((
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)) && 
#line 428 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    ? (int) ((
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)) && 
#line 428 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    : -1 },
#line 296 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_adjust_ok_for_ldpstp (operands, true, SImode)",
    __builtin_constant_p 
#line 296 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, SImode))
    ? (int) 
#line 296 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, SImode))
    : -1 },
  { "(TARGET_SIMD) && ( reload_completed)",
    __builtin_constant_p (
#line 5374 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 5376 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
( reload_completed))
    ? (int) (
#line 5374 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 5376 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
( reload_completed))
    : -1 },
  { "(INTVAL (operands[5]) == GET_MODE_SIZE (SFmode)) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 1449 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (SFmode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 1449 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (SFmode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
#line 4935 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FLOAT",
    __builtin_constant_p 
#line 4935 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT)
    ? (int) 
#line 4935 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT)
    : -1 },
#line 4785 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && BYTES_BIG_ENDIAN\n\
   && (register_operand (operands[0], XImode)\n\
       || register_operand (operands[1], XImode))",
    __builtin_constant_p 
#line 4785 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], XImode)
       || register_operand (operands[1], XImode)))
    ? (int) 
#line 4785 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], XImode)
       || register_operand (operands[1], XImode)))
    : -1 },
  { "(TARGET_SIMD) && (AARCH64_ISA_F16)",
    __builtin_constant_p (
#line 4769 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_SIMD) && 
#line 45 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(AARCH64_ISA_F16))
    ? (int) (
#line 4769 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_SIMD) && 
#line 45 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(AARCH64_ISA_F16))
    : -1 },
#line 1062 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "(register_operand (operands[0], DImode)\n\
    || aarch64_reg_or_zero (operands[1], DImode))",
    __builtin_constant_p 
#line 1062 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], DImode)
    || aarch64_reg_or_zero (operands[1], DImode)))
    ? (int) 
#line 1062 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], DImode)
    || aarch64_reg_or_zero (operands[1], DImode)))
    : -1 },
#line 5113 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && !BYTES_BIG_ENDIAN",
    __builtin_constant_p 
#line 5113 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !BYTES_BIG_ENDIAN)
    ? (int) 
#line 5113 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !BYTES_BIG_ENDIAN)
    : -1 },
#line 4349 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[1]) <= 8",
    __builtin_constant_p 
#line 4349 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 8)
    ? (int) 
#line 4349 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 8)
    : -1 },
#line 360 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_adjust_ok_for_ldpstp (operands, false, SFmode)",
    __builtin_constant_p 
#line 360 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, SFmode))
    ? (int) 
#line 360 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, SFmode))
    : -1 },
#line 3338 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_CRC32",
    __builtin_constant_p 
#line 3338 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_CRC32)
    ? (int) 
#line 3338 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_CRC32)
    : -1 },
#line 86 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, false, DFmode)",
    __builtin_constant_p 
#line 86 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false, DFmode))
    ? (int) 
#line 86 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false, DFmode))
    : -1 },
#line 583 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_use_return_insn_p ()",
    __builtin_constant_p 
#line 583 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_use_return_insn_p ())
    ? (int) 
#line 583 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_use_return_insn_p ())
    : -1 },
#line 1030 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "(register_operand (operands[0], SImode)\n\
    || aarch64_reg_or_zero (operands[1], SImode))",
    __builtin_constant_p 
#line 1030 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], SImode)
    || aarch64_reg_or_zero (operands[1], SImode)))
    ? (int) 
#line 1030 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], SImode)
    || aarch64_reg_or_zero (operands[1], SImode)))
    : -1 },
#line 169 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, true, SImode)",
    __builtin_constant_p 
#line 169 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, SImode))
    ? (int) 
#line 169 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, SImode))
    : -1 },
  { "(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SImode)) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 1467 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SImode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 1467 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SImode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
#line 3105 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "!aarch64_move_imm (INTVAL (operands[2]), SImode)\n\
   && !aarch64_plus_operand (operands[2], SImode)\n\
   && !reload_completed",
    __builtin_constant_p 
#line 3105 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), SImode)
   && !aarch64_plus_operand (operands[2], SImode)
   && !reload_completed)
    ? (int) 
#line 3105 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), SImode)
   && !aarch64_plus_operand (operands[2], SImode)
   && !reload_completed)
    : -1 },
#line 5622 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD",
    __builtin_constant_p 
#line 5622 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)
    ? (int) 
#line 5622 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)
    : -1 },
#line 1785 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_zero_extend_const_eq (TImode, operands[2],\n\
				 DImode, operands[1])",
    __builtin_constant_p 
#line 1785 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_zero_extend_const_eq (TImode, operands[2],
				 DImode, operands[1]))
    ? (int) 
#line 1785 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_zero_extend_const_eq (TImode, operands[2],
				 DImode, operands[1]))
    : -1 },
#line 4686 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FP_F16INST",
    __builtin_constant_p 
#line 4686 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST)
    ? (int) 
#line 4686 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST)
    : -1 },
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && rtx_equal_p (XEXP (operands[2], 0),\n\
		   plus_constant (Pmode,\n\
				  XEXP (operands[0], 0),\n\
				  GET_MODE_SIZE (V2SImode)))",
    __builtin_constant_p 
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[2], 0),
		   plus_constant (Pmode,
				  XEXP (operands[0], 0),
				  GET_MODE_SIZE (V2SImode))))
    ? (int) 
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[2], 0),
		   plus_constant (Pmode,
				  XEXP (operands[0], 0),
				  GET_MODE_SIZE (V2SImode))))
    : -1 },
#line 86 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, false, SFmode)",
    __builtin_constant_p 
#line 86 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false, SFmode))
    ? (int) 
#line 86 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false, SFmode))
    : -1 },
#line 4272 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "reload_completed",
    __builtin_constant_p 
#line 4272 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(reload_completed)
    ? (int) 
#line 4272 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(reload_completed)
    : -1 },
#line 4217 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[2]) < GET_MODE_BITSIZE (DImode)",
    __builtin_constant_p 
#line 4217 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (DImode))
    ? (int) 
#line 4217 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (DImode))
    : -1 },
#line 4834 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && reload_completed",
    __builtin_constant_p 
#line 4834 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed)
    ? (int) 
#line 4834 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed)
    : -1 },
#line 4437 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch_rev16_shleft_mask_imm_p (operands[3], DImode)\n\
   && aarch_rev16_shright_mask_imm_p (operands[2], DImode)",
    __builtin_constant_p 
#line 4437 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch_rev16_shleft_mask_imm_p (operands[3], DImode)
   && aarch_rev16_shright_mask_imm_p (operands[2], DImode))
    ? (int) 
#line 4437 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch_rev16_shleft_mask_imm_p (operands[3], DImode)
   && aarch_rev16_shright_mask_imm_p (operands[2], DImode))
    : -1 },
#line 1711 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "epilogue_completed",
    __builtin_constant_p 
#line 1711 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(epilogue_completed)
    ? (int) 
#line 1711 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(epilogue_completed)
    : -1 },
#line 3846 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "INTVAL (operands[1]) > 0\n\
   && ((INTVAL (operands[1]) + INTVAL (operands[2]))\n\
	<= GET_MODE_BITSIZE (DImode))\n\
   && aarch64_bitmask_imm (\n\
	UINTVAL (aarch64_mask_from_zextract_ops (operands[1],\n\
						 operands[2])),\n\
	DImode)",
    __builtin_constant_p 
#line 3846 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[1]) > 0
   && ((INTVAL (operands[1]) + INTVAL (operands[2]))
	<= GET_MODE_BITSIZE (DImode))
   && aarch64_bitmask_imm (
	UINTVAL (aarch64_mask_from_zextract_ops (operands[1],
						 operands[2])),
	DImode))
    ? (int) 
#line 3846 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[1]) > 0
   && ((INTVAL (operands[1]) + INTVAL (operands[2]))
	<= GET_MODE_BITSIZE (DImode))
   && aarch64_bitmask_imm (
	UINTVAL (aarch64_mask_from_zextract_ops (operands[1],
						 operands[2])),
	DImode))
    : -1 },
#line 1236 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FLOAT && (register_operand (operands[0], TFmode)\n\
    || aarch64_reg_or_fp_zero (operands[1], TFmode))",
    __builtin_constant_p 
#line 1236 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (register_operand (operands[0], TFmode)
    || aarch64_reg_or_fp_zero (operands[1], TFmode)))
    ? (int) 
#line 1236 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (register_operand (operands[0], TFmode)
    || aarch64_reg_or_fp_zero (operands[1], TFmode)))
    : -1 },
  { "(TARGET_LSE) && ( reload_completed)",
    __builtin_constant_p (
#line 432 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
(TARGET_LSE) && 
#line 434 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
( reload_completed))
    ? (int) (
#line 432 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
(TARGET_LSE) && 
#line 434 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
( reload_completed))
    : -1 },
#line 1395 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "rtx_equal_p (XEXP (operands[2], 0),\n\
		plus_constant (Pmode,\n\
			       XEXP (operands[0], 0),\n\
			       GET_MODE_SIZE (SFmode)))",
    __builtin_constant_p 
#line 1395 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[2], 0),
		plus_constant (Pmode,
			       XEXP (operands[0], 0),
			       GET_MODE_SIZE (SFmode))))
    ? (int) 
#line 1395 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[2], 0),
		plus_constant (Pmode,
			       XEXP (operands[0], 0),
			       GET_MODE_SIZE (SFmode))))
    : -1 },
#line 458 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
  { " reload_completed",
    __builtin_constant_p 
#line 458 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
( reload_completed)
    ? (int) 
#line 458 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
( reload_completed)
    : -1 },
#line 187 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && reload_completed\n\
   && GP_REGNUM_P (REGNO (operands[0]))\n\
   && GP_REGNUM_P (REGNO (operands[1]))",
    __builtin_constant_p 
#line 187 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed
   && GP_REGNUM_P (REGNO (operands[0]))
   && GP_REGNUM_P (REGNO (operands[1])))
    ? (int) 
#line 187 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed
   && GP_REGNUM_P (REGNO (operands[0]))
   && GP_REGNUM_P (REGNO (operands[1])))
    : -1 },
  { "(INTVAL (operands[5]) == GET_MODE_SIZE (DImode)) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 1434 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (DImode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 1434 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (DImode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, true, V4HFmode)",
    __builtin_constant_p 
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, V4HFmode))
    ? (int) 
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, V4HFmode))
    : -1 },
#line 4165 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[3]) < GET_MODE_BITSIZE (SImode) &&\n\
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == GET_MODE_BITSIZE (SImode))",
    __builtin_constant_p 
#line 4165 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (SImode) &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == GET_MODE_BITSIZE (SImode)))
    ? (int) 
#line 4165 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (SImode) &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == GET_MODE_BITSIZE (SImode)))
    : -1 },
#line 4390 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_mask_and_shift_for_ubfiz_p (DImode, operands[3], operands[2])",
    __builtin_constant_p 
#line 4390 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_mask_and_shift_for_ubfiz_p (DImode, operands[3], operands[2]))
    ? (int) 
#line 4390 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_mask_and_shift_for_ubfiz_p (DImode, operands[3], operands[2]))
    : -1 },
#line 1791 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,\n\
		GET_MODE_BITSIZE (GET_MODE_INNER (V2SFmode)))",
    __builtin_constant_p 
#line 1791 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V2SFmode))))
    ? (int) 
#line 1791 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V2SFmode))))
    : -1 },
#line 4885 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FLOAT && TARGET_SIMD",
    __builtin_constant_p 
#line 4885 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && TARGET_SIMD)
    ? (int) 
#line 4885 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && TARGET_SIMD)
    : -1 },
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && rtx_equal_p (XEXP (operands[2], 0),\n\
		   plus_constant (Pmode,\n\
				  XEXP (operands[0], 0),\n\
				  GET_MODE_SIZE (V4HFmode)))",
    __builtin_constant_p 
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[2], 0),
		   plus_constant (Pmode,
				  XEXP (operands[0], 0),
				  GET_MODE_SIZE (V4HFmode))))
    ? (int) 
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[2], 0),
		   plus_constant (Pmode,
				  XEXP (operands[0], 0),
				  GET_MODE_SIZE (V4HFmode))))
    : -1 },
#line 922 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "SIBLING_CALL_P (insn)",
    __builtin_constant_p 
#line 922 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(SIBLING_CALL_P (insn))
    ? (int) 
#line 922 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(SIBLING_CALL_P (insn))
    : -1 },
#line 1343 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "rtx_equal_p (XEXP (operands[2], 0),\n\
		plus_constant (Pmode,\n\
			       XEXP (operands[0], 0),\n\
			       GET_MODE_SIZE (DImode)))",
    __builtin_constant_p 
#line 1343 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[2], 0),
		plus_constant (Pmode,
			       XEXP (operands[0], 0),
			       GET_MODE_SIZE (DImode))))
    ? (int) 
#line 1343 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[2], 0),
		plus_constant (Pmode,
			       XEXP (operands[0], 0),
			       GET_MODE_SIZE (DImode))))
    : -1 },
  { "(!aarch64_move_imm (INTVAL (operands[1]), SImode)\n\
   && !aarch64_plus_operand (operands[1], SImode)\n\
   && !reload_completed) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V8QImode)",
    __builtin_constant_p 
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V8QImode))
    ? (int) 
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V8QImode))
    : -1 },
#line 232 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_adjust_ok_for_ldpstp (operands, true, SFmode)",
    __builtin_constant_p 
#line 232 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, SFmode))
    ? (int) 
#line 232 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, SFmode))
    : -1 },
  { "(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DImode)) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 1467 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DImode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 1467 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DImode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && rtx_equal_p (XEXP (operands[2], 0),\n\
		   plus_constant (Pmode,\n\
				  XEXP (operands[0], 0),\n\
				  GET_MODE_SIZE (V4HImode)))",
    __builtin_constant_p 
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[2], 0),
		   plus_constant (Pmode,
				  XEXP (operands[0], 0),
				  GET_MODE_SIZE (V4HImode))))
    ? (int) 
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[2], 0),
		   plus_constant (Pmode,
				  XEXP (operands[0], 0),
				  GET_MODE_SIZE (V4HImode))))
    : -1 },
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V2SImode)",
    __builtin_constant_p 
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V2SImode))
    ? (int) 
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V2SImode))
    : -1 },
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V8QImode)\n\
       || register_operand (operands[1], V8QImode))",
    __builtin_constant_p 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V8QImode)
       || register_operand (operands[1], V8QImode)))
    ? (int) 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V8QImode)
       || register_operand (operands[1], V8QImode)))
    : -1 },
  { "((!aarch64_move_imm (INTVAL (operands[1]), SImode)\n\
   && !aarch64_plus_operand (operands[1], SImode)\n\
   && !reload_completed) && (ptr_mode == SImode || Pmode == SImode)) && ( true)",
    __builtin_constant_p ((
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)) && 
#line 428 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    ? (int) ((
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)) && 
#line 428 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    : -1 },
  { "(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SFmode)) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 1483 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SFmode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 1483 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SFmode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && rtx_equal_p (XEXP (operands[3], 0),\n\
		   plus_constant (Pmode,\n\
				  XEXP (operands[1], 0),\n\
				  GET_MODE_SIZE (V4HImode)))",
    __builtin_constant_p 
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[3], 0),
		   plus_constant (Pmode,
				  XEXP (operands[1], 0),
				  GET_MODE_SIZE (V4HImode))))
    ? (int) 
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[3], 0),
		   plus_constant (Pmode,
				  XEXP (operands[1], 0),
				  GET_MODE_SIZE (V4HImode))))
    : -1 },
  { "(INTVAL (operands[5]) == GET_MODE_SIZE (DFmode)) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 1449 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (DFmode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 1449 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (DFmode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
#line 2622 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),INTVAL (operands[3])) != 0",
    __builtin_constant_p 
#line 2622 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),INTVAL (operands[3])) != 0)
    ? (int) 
#line 2622 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),INTVAL (operands[3])) != 0)
    : -1 },
  { "(INTVAL (operands[5]) == GET_MODE_SIZE (DImode)) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 1434 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (DImode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 1434 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (DImode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
#line 232 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_adjust_ok_for_ldpstp (operands, true, DFmode)",
    __builtin_constant_p 
#line 232 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, DFmode))
    ? (int) 
#line 232 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, DFmode))
    : -1 },
#line 4361 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "!(UINTVAL (operands[1]) == 0\n\
     || (UINTVAL (operands[3]) + UINTVAL (operands[1])\n\
	 > GET_MODE_BITSIZE (SImode)))",
    __builtin_constant_p 
#line 4361 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!(UINTVAL (operands[1]) == 0
     || (UINTVAL (operands[3]) + UINTVAL (operands[1])
	 > GET_MODE_BITSIZE (SImode))))
    ? (int) 
#line 4361 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!(UINTVAL (operands[1]) == 0
     || (UINTVAL (operands[3]) + UINTVAL (operands[1])
	 > GET_MODE_BITSIZE (SImode))))
    : -1 },
  { "(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DImode)) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 1467 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DImode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 1467 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (DImode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
#line 4726 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && !BYTES_BIG_ENDIAN\n\
   && (register_operand (operands[0], CImode)\n\
       || register_operand (operands[1], CImode))",
    __builtin_constant_p 
#line 4726 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], CImode)
       || register_operand (operands[1], CImode)))
    ? (int) 
#line 4726 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], CImode)
       || register_operand (operands[1], CImode)))
    : -1 },
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V8HImode)\n\
       || register_operand (operands[1], V8HImode))",
    __builtin_constant_p 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V8HImode)
       || register_operand (operands[1], V8HImode)))
    ? (int) 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V8HImode)
       || register_operand (operands[1], V8HImode)))
    : -1 },
  { "(INTVAL (operands[5]) == GET_MODE_SIZE (SImode)) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 1434 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (SImode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 1434 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (SImode)) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
#line 1817 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_zero_extend_const_eq (TImode, operands[3],\n\
                                 DImode, operands[2])",
    __builtin_constant_p 
#line 1817 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_zero_extend_const_eq (TImode, operands[3],
                                 DImode, operands[2]))
    ? (int) 
#line 1817 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_zero_extend_const_eq (TImode, operands[3],
                                 DImode, operands[2]))
    : -1 },
  { "(TARGET_TLS_DESC) && (ptr_mode == SImode)",
    __builtin_constant_p (
#line 5210 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_TLS_DESC) && 
#line 92 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
    ? (int) (
#line 5210 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_TLS_DESC) && 
#line 92 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
    : -1 },
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, true, V2SImode)",
    __builtin_constant_p 
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, V2SImode))
    ? (int) 
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, V2SImode))
    : -1 },
#line 46 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, false, DImode)",
    __builtin_constant_p 
#line 46 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false, DImode))
    ? (int) 
#line 46 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false, DImode))
    : -1 },
#line 26 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, true, DImode)",
    __builtin_constant_p 
#line 26 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, DImode))
    ? (int) 
#line 26 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, DImode))
    : -1 },
  { "(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SImode)) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 1467 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SImode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 1467 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == INTVAL (operands[4]) + GET_MODE_SIZE (SImode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
#line 1192 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FLOAT && (register_operand (operands[0], SFmode)\n\
    || aarch64_reg_or_fp_zero (operands[1], SFmode))",
    __builtin_constant_p 
#line 1192 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (register_operand (operands[0], SFmode)
    || aarch64_reg_or_fp_zero (operands[1], SFmode)))
    ? (int) 
#line 1192 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (register_operand (operands[0], SFmode)
    || aarch64_reg_or_fp_zero (operands[1], SFmode)))
    : -1 },
  { "(!aarch64_move_imm (INTVAL (operands[1]), SImode)\n\
   && !aarch64_plus_operand (operands[1], SImode)\n\
   && !reload_completed) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
#line 1377 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "rtx_equal_p (XEXP (operands[3], 0),\n\
		plus_constant (Pmode,\n\
			       XEXP (operands[1], 0),\n\
			       GET_MODE_SIZE (DFmode)))",
    __builtin_constant_p 
#line 1377 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[3], 0),
		plus_constant (Pmode,
			       XEXP (operands[1], 0),
			       GET_MODE_SIZE (DFmode))))
    ? (int) 
#line 1377 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[3], 0),
		plus_constant (Pmode,
			       XEXP (operands[1], 0),
			       GET_MODE_SIZE (DFmode))))
    : -1 },
#line 670 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
  { "TARGET_LSE && reload_completed",
    __builtin_constant_p 
#line 670 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
(TARGET_LSE && reload_completed)
    ? (int) 
#line 670 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
(TARGET_LSE && reload_completed)
    : -1 },
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V16QImode)\n\
       || register_operand (operands[1], V16QImode))",
    __builtin_constant_p 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V16QImode)
       || register_operand (operands[1], V16QImode)))
    ? (int) 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V16QImode)
       || register_operand (operands[1], V16QImode)))
    : -1 },
#line 5141 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && BYTES_BIG_ENDIAN",
    __builtin_constant_p 
#line 5141 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN)
    ? (int) 
#line 5141 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN)
    : -1 },
  { "(INTVAL (operands[5]) == GET_MODE_SIZE (SImode)) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 1434 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (SImode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 1434 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(INTVAL (operands[5]) == GET_MODE_SIZE (SImode)) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
  { "(!aarch64_move_imm (INTVAL (operands[2]), DImode)\n\
   && !aarch64_plus_operand (operands[2], DImode)\n\
   && !reload_completed) && ( true)",
    __builtin_constant_p (
#line 3105 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), DImode)
   && !aarch64_plus_operand (operands[2], DImode)
   && !reload_completed) && 
#line 3109 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    ? (int) (
#line 3105 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), DImode)
   && !aarch64_plus_operand (operands[2], DImode)
   && !reload_completed) && 
#line 3109 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    : -1 },
  { "(TARGET_TLS_DESC) && (ptr_mode == DImode)",
    __builtin_constant_p (
#line 5210 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_TLS_DESC) && 
#line 92 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
    ? (int) (
#line 5210 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_TLS_DESC) && 
#line 92 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
    : -1 },
#line 4361 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "!(UINTVAL (operands[1]) == 0\n\
     || (UINTVAL (operands[3]) + UINTVAL (operands[1])\n\
	 > GET_MODE_BITSIZE (DImode)))",
    __builtin_constant_p 
#line 4361 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!(UINTVAL (operands[1]) == 0
     || (UINTVAL (operands[3]) + UINTVAL (operands[1])
	 > GET_MODE_BITSIZE (DImode))))
    ? (int) 
#line 4361 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!(UINTVAL (operands[1]) == 0
     || (UINTVAL (operands[3]) + UINTVAL (operands[1])
	 > GET_MODE_BITSIZE (DImode))))
    : -1 },
#line 360 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_adjust_ok_for_ldpstp (operands, false, DFmode)",
    __builtin_constant_p 
#line 360 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, DFmode))
    ? (int) 
#line 360 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, DFmode))
    : -1 },
#line 1080 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "(CONST_INT_P (operands[1]) && !aarch64_move_imm (INTVAL (operands[1]), DImode))\n\
    && REG_P (operands[0]) && GP_REGNUM_P (REGNO (operands[0]))",
    __builtin_constant_p 
#line 1080 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((CONST_INT_P (operands[1]) && !aarch64_move_imm (INTVAL (operands[1]), DImode))
    && REG_P (operands[0]) && GP_REGNUM_P (REGNO (operands[0])))
    ? (int) 
#line 1080 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
((CONST_INT_P (operands[1]) && !aarch64_move_imm (INTVAL (operands[1]), DImode))
    && REG_P (operands[0]) && GP_REGNUM_P (REGNO (operands[0])))
    : -1 },
#line 66 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, true, SFmode)",
    __builtin_constant_p 
#line 66 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, SFmode))
    ? (int) 
#line 66 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, SFmode))
    : -1 },
#line 3218 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "!((operands[3] == const1_rtx && operands[4] == constm1_rtx)\n\
     || (operands[3] == constm1_rtx && operands[4] == const1_rtx))",
    __builtin_constant_p 
#line 3218 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!((operands[3] == const1_rtx && operands[4] == constm1_rtx)
     || (operands[3] == constm1_rtx && operands[4] == const1_rtx)))
    ? (int) 
#line 3218 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!((operands[3] == const1_rtx && operands[4] == constm1_rtx)
     || (operands[3] == constm1_rtx && operands[4] == const1_rtx)))
    : -1 },
#line 199 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && reload_completed\n\
   && ((FP_REGNUM_P (REGNO (operands[0])) && GP_REGNUM_P (REGNO (operands[1])))\n\
       || (GP_REGNUM_P (REGNO (operands[0])) && FP_REGNUM_P (REGNO (operands[1]))))",
    __builtin_constant_p 
#line 199 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed
   && ((FP_REGNUM_P (REGNO (operands[0])) && GP_REGNUM_P (REGNO (operands[1])))
       || (GP_REGNUM_P (REGNO (operands[0])) && FP_REGNUM_P (REGNO (operands[1])))))
    ? (int) 
#line 199 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed
   && ((FP_REGNUM_P (REGNO (operands[0])) && GP_REGNUM_P (REGNO (operands[1])))
       || (GP_REGNUM_P (REGNO (operands[0])) && FP_REGNUM_P (REGNO (operands[1])))))
    : -1 },
#line 4337 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "!(UINTVAL (operands[1]) == 0\n\
     || (UINTVAL (operands[2]) + UINTVAL (operands[1])\n\
	 > GET_MODE_BITSIZE (DImode)))",
    __builtin_constant_p 
#line 4337 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!(UINTVAL (operands[1]) == 0
     || (UINTVAL (operands[2]) + UINTVAL (operands[1])
	 > GET_MODE_BITSIZE (DImode))))
    ? (int) 
#line 4337 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!(UINTVAL (operands[1]) == 0
     || (UINTVAL (operands[2]) + UINTVAL (operands[1])
	 > GET_MODE_BITSIZE (DImode))))
    : -1 },
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V4HFmode)",
    __builtin_constant_p 
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V4HFmode))
    ? (int) 
#line 126 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_SIMD && aarch64_operands_ok_for_ldpstp (operands, false, V4HFmode))
    : -1 },
#line 4437 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch_rev16_shleft_mask_imm_p (operands[3], SImode)\n\
   && aarch_rev16_shright_mask_imm_p (operands[2], SImode)",
    __builtin_constant_p 
#line 4437 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch_rev16_shleft_mask_imm_p (operands[3], SImode)
   && aarch_rev16_shright_mask_imm_p (operands[2], SImode))
    ? (int) 
#line 4437 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch_rev16_shleft_mask_imm_p (operands[3], SImode)
   && aarch_rev16_shright_mask_imm_p (operands[2], SImode))
    : -1 },
#line 5356 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "optimize > 0 && flag_modulo_sched",
    __builtin_constant_p 
#line 5356 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(optimize > 0 && flag_modulo_sched)
    ? (int) 
#line 5356 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(optimize > 0 && flag_modulo_sched)
    : -1 },
  { "(!aarch64_move_imm (INTVAL (operands[1]), DImode)\n\
   && !aarch64_plus_operand (operands[1], DImode)\n\
   && !reload_completed) && (ptr_mode == SImode || Pmode == SImode)",
    __builtin_constant_p (
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    ? (int) (
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
    : -1 },
#line 5757 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && TARGET_CRYPTO",
    __builtin_constant_p 
#line 5757 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && TARGET_CRYPTO)
    ? (int) 
#line 5757 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && TARGET_CRYPTO)
    : -1 },
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && rtx_equal_p (XEXP (operands[3], 0),\n\
		   plus_constant (Pmode,\n\
				  XEXP (operands[1], 0),\n\
				  GET_MODE_SIZE (V2SImode)))",
    __builtin_constant_p 
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[3], 0),
		   plus_constant (Pmode,
				  XEXP (operands[1], 0),
				  GET_MODE_SIZE (V2SImode))))
    ? (int) 
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[3], 0),
		   plus_constant (Pmode,
				  XEXP (operands[1], 0),
				  GET_MODE_SIZE (V2SImode))))
    : -1 },
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V2DImode)\n\
       || register_operand (operands[1], V2DImode))",
    __builtin_constant_p 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V2DImode)
       || register_operand (operands[1], V2DImode)))
    ? (int) 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V2DImode)
       || register_operand (operands[1], V2DImode)))
    : -1 },
#line 1047 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "CONST_INT_P (operands[1]) && !aarch64_move_imm (INTVAL (operands[1]), SImode)\n\
    && REG_P (operands[0]) && GP_REGNUM_P (REGNO (operands[0]))",
    __builtin_constant_p 
#line 1047 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(CONST_INT_P (operands[1]) && !aarch64_move_imm (INTVAL (operands[1]), SImode)
    && REG_P (operands[0]) && GP_REGNUM_P (REGNO (operands[0])))
    ? (int) 
#line 1047 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(CONST_INT_P (operands[1]) && !aarch64_move_imm (INTVAL (operands[1]), SImode)
    && REG_P (operands[0]) && GP_REGNUM_P (REGNO (operands[0])))
    : -1 },
  { "((!aarch64_move_imm (INTVAL (operands[1]), DImode)\n\
   && !aarch64_plus_operand (operands[1], DImode)\n\
   && !reload_completed) && (ptr_mode == DImode || Pmode == DImode)) && ( true)",
    __builtin_constant_p ((
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)) && 
#line 428 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    ? (int) ((
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)) && 
#line 428 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    : -1 },
#line 66 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, true, DFmode)",
    __builtin_constant_p 
#line 66 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, DFmode))
    ? (int) 
#line 66 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, DFmode))
    : -1 },
#line 771 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "GET_CODE (operands[0]) == SYMBOL_REF\n\
   && !aarch64_is_long_call_p (operands[0])\n\
   && !aarch64_is_noplt_call_p (operands[0])",
    __builtin_constant_p 
#line 771 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(GET_CODE (operands[0]) == SYMBOL_REF
   && !aarch64_is_long_call_p (operands[0])
   && !aarch64_is_noplt_call_p (operands[0]))
    ? (int) 
#line 771 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(GET_CODE (operands[0]) == SYMBOL_REF
   && !aarch64_is_long_call_p (operands[0])
   && !aarch64_is_noplt_call_p (operands[0]))
    : -1 },
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && rtx_equal_p (XEXP (operands[2], 0),\n\
		   plus_constant (Pmode,\n\
				  XEXP (operands[0], 0),\n\
				  GET_MODE_SIZE (V8QImode)))",
    __builtin_constant_p 
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[2], 0),
		   plus_constant (Pmode,
				  XEXP (operands[0], 0),
				  GET_MODE_SIZE (V8QImode))))
    ? (int) 
#line 175 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[2], 0),
		   plus_constant (Pmode,
				  XEXP (operands[0], 0),
				  GET_MODE_SIZE (V8QImode))))
    : -1 },
#line 4726 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && !BYTES_BIG_ENDIAN\n\
   && (register_operand (operands[0], XImode)\n\
       || register_operand (operands[1], XImode))",
    __builtin_constant_p 
#line 4726 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], XImode)
       || register_operand (operands[1], XImode)))
    ? (int) 
#line 4726 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], XImode)
       || register_operand (operands[1], XImode)))
    : -1 },
#line 432 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
  { "TARGET_LSE",
    __builtin_constant_p 
#line 432 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
(TARGET_LSE)
    ? (int) 
#line 432 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/atomics.md"
(TARGET_LSE)
    : -1 },
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, true, V8QImode)",
    __builtin_constant_p 
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, V8QImode))
    ? (int) 
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, V8QImode))
    : -1 },
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && rtx_equal_p (XEXP (operands[3], 0),\n\
		   plus_constant (Pmode,\n\
				  XEXP (operands[1], 0),\n\
				  GET_MODE_SIZE (V8QImode)))",
    __builtin_constant_p 
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[3], 0),
		   plus_constant (Pmode,
				  XEXP (operands[1], 0),
				  GET_MODE_SIZE (V8QImode))))
    ? (int) 
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[3], 0),
		   plus_constant (Pmode,
				  XEXP (operands[1], 0),
				  GET_MODE_SIZE (V8QImode))))
    : -1 },
#line 4774 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD && BYTES_BIG_ENDIAN\n\
   && (register_operand (operands[0], CImode)\n\
       || register_operand (operands[1], CImode))",
    __builtin_constant_p 
#line 4774 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], CImode)
       || register_operand (operands[1], CImode)))
    ? (int) 
#line 4774 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], CImode)
       || register_operand (operands[1], CImode)))
    : -1 },
#line 1277 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "!STRICT_ALIGNMENT",
    __builtin_constant_p 
#line 1277 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!STRICT_ALIGNMENT)
    ? (int) 
#line 1277 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!STRICT_ALIGNMENT)
    : -1 },
#line 2255 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_uxt_size (exact_log2 (INTVAL (operands[2])), INTVAL (operands[3])) != 0",
    __builtin_constant_p 
#line 2255 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_uxt_size (exact_log2 (INTVAL (operands[2])), INTVAL (operands[3])) != 0)
    ? (int) 
#line 2255 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_uxt_size (exact_log2 (INTVAL (operands[2])), INTVAL (operands[3])) != 0)
    : -1 },
#line 5735 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD &&TARGET_CRYPTO",
    __builtin_constant_p 
#line 5735 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD &&TARGET_CRYPTO)
    ? (int) 
#line 5735 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD &&TARGET_CRYPTO)
    : -1 },
  { "(!aarch64_move_imm (INTVAL (operands[1]), DImode)\n\
   && !aarch64_plus_operand (operands[1], DImode)\n\
   && !reload_completed) && (ptr_mode == DImode || Pmode == DImode)",
    __builtin_constant_p (
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    ? (int) (
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 88 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
    : -1 },
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
  { "aarch64_operands_ok_for_ldpstp (operands, true, V2SFmode)",
    __builtin_constant_p 
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, V2SFmode))
    ? (int) 
#line 106 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true, V2SFmode))
    : -1 },
  { "(!aarch64_move_imm (INTVAL (operands[2]), SImode)\n\
   && !aarch64_plus_operand (operands[2], SImode)\n\
   && !reload_completed) && ( true)",
    __builtin_constant_p (
#line 3105 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), SImode)
   && !aarch64_plus_operand (operands[2], SImode)
   && !reload_completed) && 
#line 3109 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    ? (int) (
#line 3105 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), SImode)
   && !aarch64_plus_operand (operands[2], SImode)
   && !reload_completed) && 
#line 3109 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    : -1 },
#line 4179 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[3]) < GET_MODE_BITSIZE (DImode)\n\
   && (UINTVAL (operands[3]) + UINTVAL (operands[4])\n\
       == GET_MODE_BITSIZE (DImode))",
    __builtin_constant_p 
#line 4179 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (DImode)
   && (UINTVAL (operands[3]) + UINTVAL (operands[4])
       == GET_MODE_BITSIZE (DImode)))
    ? (int) 
#line 4179 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (DImode)
   && (UINTVAL (operands[3]) + UINTVAL (operands[4])
       == GET_MODE_BITSIZE (DImode)))
    : -1 },
#line 1098 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[1]) < GET_MODE_BITSIZE (DImode)\n\
   && UINTVAL (operands[1]) % 16 == 0",
    __builtin_constant_p 
#line 1098 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) < GET_MODE_BITSIZE (DImode)
   && UINTVAL (operands[1]) % 16 == 0)
    ? (int) 
#line 1098 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) < GET_MODE_BITSIZE (DImode)
   && UINTVAL (operands[1]) % 16 == 0)
    : -1 },
#line 4217 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[2]) < GET_MODE_BITSIZE (SImode)",
    __builtin_constant_p 
#line 4217 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (SImode))
    ? (int) 
#line 4217 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (SImode))
    : -1 },
#line 4373 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[2]) < 32",
    __builtin_constant_p 
#line 4373 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < 32)
    ? (int) 
#line 4373 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < 32)
    : -1 },
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && rtx_equal_p (XEXP (operands[3], 0),\n\
		   plus_constant (Pmode,\n\
				  XEXP (operands[1], 0),\n\
				  GET_MODE_SIZE (V4HFmode)))",
    __builtin_constant_p 
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[3], 0),
		   plus_constant (Pmode,
				  XEXP (operands[1], 0),
				  GET_MODE_SIZE (V4HFmode))))
    ? (int) 
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[3], 0),
		   plus_constant (Pmode,
				  XEXP (operands[1], 0),
				  GET_MODE_SIZE (V4HFmode))))
    : -1 },
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V8HFmode)\n\
       || register_operand (operands[1], V8HFmode))",
    __builtin_constant_p 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V8HFmode)
       || register_operand (operands[1], V8HFmode)))
    ? (int) 
#line 128 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V8HFmode)
       || register_operand (operands[1], V8HFmode)))
    : -1 },
#line 2223 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_uxt_size (INTVAL (operands[2]), INTVAL (operands[3])) != 0",
    __builtin_constant_p 
#line 2223 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_uxt_size (INTVAL (operands[2]), INTVAL (operands[3])) != 0)
    ? (int) 
#line 2223 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_uxt_size (INTVAL (operands[2]), INTVAL (operands[3])) != 0)
    : -1 },
#line 1172 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FLOAT && (register_operand (operands[0], HFmode)\n\
    || aarch64_reg_or_fp_zero (operands[1], HFmode))",
    __builtin_constant_p 
#line 1172 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (register_operand (operands[0], HFmode)
    || aarch64_reg_or_fp_zero (operands[1], HFmode)))
    ? (int) 
#line 1172 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (register_operand (operands[0], HFmode)
    || aarch64_reg_or_fp_zero (operands[1], HFmode)))
    : -1 },
#line 1327 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "rtx_equal_p (XEXP (operands[2], 0),\n\
		plus_constant (Pmode,\n\
			       XEXP (operands[0], 0),\n\
			       GET_MODE_SIZE (SImode)))",
    __builtin_constant_p 
#line 1327 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[2], 0),
		plus_constant (Pmode,
			       XEXP (operands[0], 0),
			       GET_MODE_SIZE (SImode))))
    ? (int) 
#line 1327 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(rtx_equal_p (XEXP (operands[2], 0),
		plus_constant (Pmode,
			       XEXP (operands[0], 0),
			       GET_MODE_SIZE (SImode))))
    : -1 },
#line 4750 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "TARGET_FLOAT && !flag_rounding_math",
    __builtin_constant_p 
#line 4750 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && !flag_rounding_math)
    ? (int) 
#line 4750 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && !flag_rounding_math)
    : -1 },
  { "((!aarch64_move_imm (INTVAL (operands[1]), DImode)\n\
   && !aarch64_plus_operand (operands[1], DImode)\n\
   && !reload_completed) && (ptr_mode == SImode || Pmode == SImode)) && ( true)",
    __builtin_constant_p ((
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)) && 
#line 428 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    ? (int) ((
#line 424 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 87 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)) && 
#line 428 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
( true))
    : -1 },
#line 1791 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,\n\
		GET_MODE_BITSIZE (GET_MODE_INNER (V4SFmode)))",
    __builtin_constant_p 
#line 1791 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V4SFmode))))
    ? (int) 
#line 1791 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V4SFmode))))
    : -1 },
#line 4548 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "!HONOR_SIGNED_ZEROS (SFmode) && TARGET_FLOAT",
    __builtin_constant_p 
#line 4548 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!HONOR_SIGNED_ZEROS (SFmode) && TARGET_FLOAT)
    ? (int) 
#line 4548 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!HONOR_SIGNED_ZEROS (SFmode) && TARGET_FLOAT)
    : -1 },
#line 2590 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_uxt_size (INTVAL (operands[2]),INTVAL (operands[3])) != 0",
    __builtin_constant_p 
#line 2590 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_uxt_size (INTVAL (operands[2]),INTVAL (operands[3])) != 0)
    ? (int) 
#line 2590 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_uxt_size (INTVAL (operands[2]),INTVAL (operands[3])) != 0)
    : -1 },
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && (register_operand (operands[0], V4HFmode)\n\
       || register_operand (operands[1], V4HFmode))",
    __builtin_constant_p 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V4HFmode)
       || register_operand (operands[1], V4HFmode)))
    ? (int) 
#line 100 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && (register_operand (operands[0], V4HFmode)
       || register_operand (operands[1], V4HFmode)))
    : -1 },
#line 1779 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD_F16INST",
    __builtin_constant_p 
#line 1779 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST)
    ? (int) 
#line 1779 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST)
    : -1 },
#line 4207 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "UINTVAL (operands[3]) < 32 &&\n\
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == 32)",
    __builtin_constant_p 
#line 4207 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < 32 &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == 32))
    ? (int) 
#line 4207 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < 32 &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == 32))
    : -1 },
#line 1682 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "aarch64_move_imm (INTVAL (operands[2]), SImode)",
    __builtin_constant_p 
#line 1682 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_move_imm (INTVAL (operands[2]), SImode))
    ? (int) 
#line 1682 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(aarch64_move_imm (INTVAL (operands[2]), SImode))
    : -1 },
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
  { "TARGET_SIMD\n\
   && rtx_equal_p (XEXP (operands[3], 0),\n\
		   plus_constant (Pmode,\n\
				  XEXP (operands[1], 0),\n\
				  GET_MODE_SIZE (V2SFmode)))",
    __builtin_constant_p 
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[3], 0),
		   plus_constant (Pmode,
				  XEXP (operands[1], 0),
				  GET_MODE_SIZE (V2SFmode))))
    ? (int) 
#line 161 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && rtx_equal_p (XEXP (operands[3], 0),
		   plus_constant (Pmode,
				  XEXP (operands[1], 0),
				  GET_MODE_SIZE (V2SFmode))))
    : -1 },
#line 3105 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
  { "!aarch64_move_imm (INTVAL (operands[2]), DImode)\n\
   && !aarch64_plus_operand (operands[2], DImode)\n\
   && !reload_completed",
    __builtin_constant_p 
#line 3105 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), DImode)
   && !aarch64_plus_operand (operands[2], DImode)
   && !reload_completed)
    ? (int) 
#line 3105 "../../../../../../../work-shared/gcc-linaro-6.2-r2016.11/git/gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), DImode)
   && !aarch64_plus_operand (operands[2], DImode)
   && !reload_completed)
    : -1 },

};
#endif /* gcc >= 3.0.1 */

int
main(void)
{
  unsigned int i;
  const char *p;
  puts ("(define_conditions [");
#if GCC_VERSION >= 3001
  for (i = 0; i < ARRAY_SIZE (insn_conditions); i++)
    {
      printf ("  (%d \"", insn_conditions[i].value);
      for (p = insn_conditions[i].expr; *p; p++)
        {
          switch (*p)
	     {
	     case '\\':
	     case '\"': putchar ('\\'); break;
	     default: break;
	     }
          putchar (*p);
        }
      puts ("\")");
    }
#endif /* gcc >= 3.0.1 */
  puts ("])");
  fflush (stdout);
return ferror (stdout) != 0 ? FATAL_EXIT_CODE : SUCCESS_EXIT_CODE;
}
